{% extends "simulator/header.html" %}

{% block content %}
<nav aria-label="breadcrumb">
  <ol class="breadcrumb">
    <li class="breadcrumb-item"><a href="/">Select an area</a></li>
    <li class="breadcrumb-item"><a href="javascript:history.back(4)">Current Status</a></li>
    <li class="breadcrumb-item"><a href="javascript:history.back(3)">Planting Settings</a></li>
    <li class="breadcrumb-item"><a href="javascript:history.back(2)">Select Func Groups</a></li>
    <li class="breadcrumb-item"><a href="javascript:history.back()">Select Species</a></li>
    <li class="breadcrumb-item active" aria-current="page">Results</li>
  </ol>
</nav>

<h1 style="text-align: center">Results</h1>

<div class="row">
		
	<div class="col-sm-6 pre-scrollable" style="border-left: 1px #ccc solid; min-height: 400px">
		<h4 style="text-align: center;">Before</h4>
					
			<nav>
			  <div class="nav nav-tabs" id="nav-tab" role="tablist">
			    <a class="nav-item nav-link active" id="nav-general-tab" data-toggle="tab" href="#nav-general" role="tab" aria-controls="nav-general" aria-selected="true">General</a>

			    <a class="nav-item nav-link" id="nav-species-tab" data-toggle="tab" href="#nav-species" role="tab" aria-controls="nav-species" aria-selected="false">Species</a>

			    <a class="nav-item nav-link" id="nav-groups-tab" data-toggle="tab" href="#nav-groups" role="tab" aria-controls="nav-groups" aria-selected="false">Functional Group</a>

			    <a class="nav-item nav-link" id="nav-genus-tab" data-toggle="tab" href="#nav-genus" role="tab" aria-controls="nav-genus" aria-selected="false">Genus</a>

			    <a class="nav-item nav-link" id="nav-family-tab" data-toggle="tab" href="#nav-family" role="tab" aria-controls="nav-family" aria-selected="false">Family</a>

			    <a class="nav-item nav-link" id="nav-diversity-tab" data-toggle="tab" href="#nav-diversity" role="tab" aria-controls="nav-diversity" aria-selected="false">Diversity</a>

			    <a class="nav-item nav-link" id="nav-richness-tab" data-toggle="tab" href="#nav-richness" role="tab" aria-controls="nav-richness" aria-selected="false">Richness</a>

			    <a class="nav-item nav-link" id="nav-carbon-tab" data-toggle="tab" href="#nav-carbon" role="tab" aria-controls="nav-carbon" aria-selected="false">Carbon Storage</a>

			    <a class="nav-item nav-link" id="nav-value-tab" data-toggle="tab" href="#nav-value" role="tab" aria-controls="nav-value" aria-selected="false">Value($)</a>
			  </div>
			</nav>
			<div class="tab-content" id="nav-tabContent">
			  	<div class="tab-pane fade show active" id="nav-general" role="tabpanel" aria-labelledby="nav-general-tab">
					<h6>Number of trees: {{curr_status.number_trees}}</h6>
					<h6>Species Diversity: {{curr_status.species_diversity}}</h6>
					<h6>Species Richness: {{curr_status.species_richness}}</h6>
					<h6>Functional Group Diversity: {{curr_status.group_diversity}}</h6>
					<h6>Functional Group Richness: {{curr_status.group_richness}}</h6>
					<h6>Total Carbon Storage: {{curr_status.total_carbon_storage|floatformat:2}} kg</h6>
					<h6>Total Value: $ {{curr_status.total_carbon_storage|floatformat:"2"}}</h6>
			  	</div>
			  	<div class="tab-pane fade" id="nav-species" role="tabpanel" aria-labelledby="nav-species-tab">
					<h6>Species ({{curr_status.species_list|length}}): </h6>
					<ul>
						{% for species in curr_status.species_list|slice:":10" %}
							<li>{{species}}</li>
						{% endfor %}
					</ul>
			  	
			  	</div>
			  	<div class="tab-pane fade" id="nav-groups" role="tabpanel" aria-labelledby="nav-groups-tab">
					<h6>Functional Groups: </h6>
					<ul>
						{% for func_group in curr_status.func_groups_list %}
							<li>{{func_group}}</li>
						{% endfor %}
					</ul>
			 	
			  	</div>
			  	<div class="tab-pane fade" id="nav-genus" role="tabpanel" aria-labelledby="nav-genus-tab">
					<h6>Genus ({{curr_status.genus_list|length}}): </h6>
					<ul>
						{% for genus in curr_status.genus_list|slice:":10" %}
							<li>{{genus}}</li>
						{% endfor %}
					</ul>
			  	
			  	</div>
			  	<div class="tab-pane fade" id="nav-family" role="tabpanel" aria-labelledby="nav-family-tab">
					<h6>Families ({{curr_status.families|length}}): </h6>
					<ul>
						{% for family in curr_status.families|slice:":10" %}
							<li>{{family}}</li>
						{% endfor %}
					</ul>  	
			  	</div>
			  	<div class="tab-pane fade" id="nav-diversity" role="tabpanel" aria-labelledby="nav-diversity-tab">
					<h6>Species Diversity: {{curr_status.species_diversity}}</h6>
					<h6>Functional Group Diversity: {{curr_status.group_diversity}}</h6>  	
			  	</div>
			  	<div class="tab-pane fade" id="nav-richness" role="tabpanel" aria-labelledby="nav-richness-tab">
					<h6>Species Richness: {{curr_status.species_richness}}</h6>
					<h6>Functional Group Richness: {{curr_status.group_richness}}</h6>
			  	</div>
			  	<div class="tab-pane fade" id="nav-carbon" role="tabpanel" aria-labelledby="nav-carbon-tab">
					<h6>Total Carbon Storage: {{curr_status.total_carbon_storage|floatformat:2}} kg</h6>  	
			  	</div>
			  	<div class="tab-pane fade" id="nav-value" role="tabpanel" aria-labelledby="nav-value-tab">
					<h6>Total Value: $ {{curr_status.total_carbon_storage|floatformat:"2"}}</h6>
			  	</div>
			</div>
	</div>

	<div class="col-sm-6 pre-scrollable" style="border-left: 1px #ccc solid; min-height: 400px">
		<h4 style="text-align: center;">After</h4>
					
			<nav>
			  <div class="nav nav-tabs" id="nav-tab" role="tablist">
			    <a class="nav-item nav-link active" id="nav-general-tab-after" data-toggle="tab" href="#nav-general-after" role="tab" aria-controls="nav-general-after" aria-selected="true">General</a>

			    <a class="nav-item nav-link" id="nav-species-tab-after" data-toggle="tab" href="#nav-species-after" role="tab" aria-controls="nav-species-after" aria-selected="false">Species</a>

			    <a class="nav-item nav-link" id="nav-groups-tab-after" data-toggle="tab" href="#nav-groups-after" role="tab" aria-controls="nav-groups-after" aria-selected="false">Functional Group</a>

			    <a class="nav-item nav-link" id="nav-genus-tab-after" data-toggle="tab" href="#nav-genus-after" role="tab" aria-controls="nav-genus-after" aria-selected="false">Genus</a>

			    <a class="nav-item nav-link" id="nav-family-tab-after" data-toggle="tab" href="#nav-family-after" role="tab" aria-controls="nav-family-after" aria-selected="false">Family</a>

			    <a class="nav-item nav-link" id="nav-diversity-tab-after" data-toggle="tab" href="#nav-diversity-after" role="tab" aria-controls="nav-diversity-after" aria-selected="false">Diversity</a>

			    <a class="nav-item nav-link" id="nav-richness-tab-after" data-toggle="tab" href="#nav-richness-after" role="tab" aria-controls="nav-richness-after" aria-selected="false">Richness</a>

			    <a class="nav-item nav-link" id="nav-carbon-tab-after" data-toggle="tab" href="#nav-carbon-after" role="tab" aria-controls="nav-carbon-after" aria-selected="false">Carbon Storage</a>

			    <a class="nav-item nav-link" id="nav-value-tab-after" data-toggle="tab" href="#nav-value-after" role="tab" aria-controls="nav-value-after" aria-selected="false">Value($)</a>
			  </div>
			</nav>
			<div class="tab-content" id="nav-tabContent">
			  	<div class="tab-pane fade show active" id="nav-general-after" role="tabpanel" aria-labelledby="nav-general-tab-after">
					<h6>Number of trees: {{curr_status.number_trees}}</h6>
					<h6>Species Diversity: {{curr_status.species_diversity}}</h6>
					<h6>Species Richness: {{curr_status.species_richness}}</h6>
					<h6>Functional Group Diversity: {{curr_status.group_diversity}}</h6>
					<h6>Functional Group Richness: {{curr_status.group_richness}}</h6>
					<h6>Total Carbon Storage: {{curr_status.total_carbon_storage|floatformat:2}} kg</h6>
					<h6>Total Value: $ {{curr_status.total_carbon_storage|floatformat:"2"}}</h6>
			  	</div>
			  	<div class="tab-pane fade" id="nav-species-after" role="tabpanel" aria-labelledby="nav-species-tab-after">
					<h6>Species ({{curr_status.species_list|length}}): </h6>
					<ul>
						{% for species in curr_status.species_list|slice:":10" %}
							<li>{{species}}</li>
						{% endfor %}
					</ul>
			  	
			  	</div>
			  	<div class="tab-pane fade" id="nav-groups-after" role="tabpanel" aria-labelledby="nav-groups-tab-after">
					<h6>Functional Groups: </h6>
					<ul>
						{% for func_group in curr_status.func_groups_list %}
							<li>{{func_group}}</li>
						{% endfor %}
					</ul>
			 	
			  	</div>
			  	<div class="tab-pane fade" id="nav-genus-after" role="tabpanel" aria-labelledby="nav-genus-tab-after">
					<h6>Genus ({{curr_status.genus_list|length}}): </h6>
					<ul>
						{% for genus in curr_status.genus_list|slice:":10" %}
							<li>{{genus}}</li>
						{% endfor %}
					</ul>
			  	
			  	</div>
			  	<div class="tab-pane fade" id="nav-family-after" role="tabpanel" aria-labelledby="nav-family-tab-after">
					<h6>Families ({{curr_status.families|length}}): </h6>
					<ul>
						{% for family in curr_status.families|slice:":10" %}
							<li>{{family}}</li>
						{% endfor %}
					</ul>  	
			  	</div>
			  	<div class="tab-pane fade" id="nav-diversity-after" role="tabpanel" aria-labelledby="nav-diversity-tab-after">
					<h6>Species Diversity: {{curr_status.species_diversity}}</h6>
					<h6>Functional Group Diversity: {{curr_status.group_diversity}}</h6>  	
			  	</div>
			  	<div class="tab-pane fade" id="nav-richness-after" role="tabpanel" aria-labelledby="nav-richness-tab-after">
					<h6>Species Richness: {{curr_status.species_richness}}</h6>
					<h6>Functional Group Richness: {{curr_status.group_richness}}</h6>
			  	</div>
			  	<div class="tab-pane fade" id="nav-carbon-after" role="tabpanel" aria-labelledby="nav-carbon-tab-after">
					<h6>Total Carbon Storage: {{curr_status.total_carbon_storage|floatformat:2}} kg</h6>  	
			  	</div>
			  	<div class="tab-pane fade" id="nav-value-after" role="tabpanel" aria-labelledby="nav-value-tab-after">
					<h6>Total Value: $ {{curr_status.total_carbon_storage|floatformat:"2"}}</h6>
			  	</div>
			</div>
	</div>

	<div>
		<p>What do you want to do now?</p>
		<a href="{% url 'simulator:planting_settings' %}">Simulate again with same area</a>
		<br/>
		<a href="{% url 'simulator:index' %}">Simulate again with another area</a>
	</div>	
</div>

{% endblock %}
